##! /bin/sh
#----------------------------------------------------------------------------
# php7-cli - Installation
#
# Creation:     2018-09-11  schlotze
# Last Update:  $Id: install.sh 72056 2020-01-19 22:28:08Z schlotze $
#
# Copyright (c) 2018 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name='php7-cli'

mkdir -p /etc/php7/cli/conf.d

# ---------------------------------------------------------------------------
# add menu 
# ---------------------------------------------------------------------------
/var/install/bin/add-menu  \
        setup.services.menu   \
        setup.services.${package_name}.menu  \
        "PHP7 Command Line Interface"

# ---------------------------------------------------------------------------
# install message
# ---------------------------------------------------------------------------
if [ -f /etc/config.d/${package_name} ]
then
    update=true
fi

/var/install/config.d/${package_name}-update.sh

/usr/sbin/update-alternatives --install /usr/bin/php         php            /usr/bin/php-7         72 \
                              --slave   /usr/bin/pear        pear           /usr/bin/pear-7 \
                              --slave   /usr/bin/peardev     peardev        /usr/bin/peardev-7 \
                              --slave   /usr/bin/pecl        pecl           /usr/bin/pecl-7 \
                              --slave   /usr/bin/php-cgi     php-cgi        /usr/bin/php-cgi-7 \
                              --slave   /usr/bin/phpdbg      phpdbg         /usr/bin/phpdbg-7

#                              --slave   /usr/bin/php-config  php-config     /usr/bin/php-config-7 \
#                              --slave   /usr/bin/phpize      phpize         /usr/bin/phpize-7

if ${update:-false}
then
    /var/install/config.d/${package_name}.sh
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
